RHEL 2.1 / 3 : imap (RHSA-2005:850)

High Nessus Plugin ID 20270


The remote Red Hat host is missing one or more security updates.


An updated imap package that fixes a buffer overflow issue is now available.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

The imap package provides server daemons for both the IMAP (Internet Message Access Protocol) and POP (Post Office Protocol) mail access protocols.

A buffer overflow flaw was discovered in the way the c-client library parses user-supplied mailboxes. If an authenticated user requests a specially crafted mailbox name, it may be possible to execute arbitrary code on a server that uses the library. The Common Vulnerabilities and Exposures project has assigned the name CVE-2005-2933 to this issue.

All users of imap should upgrade to these updated packages, which contain a backported patch and are not vulnerable to this issue.


Update the affected imap, imap-devel and / or imap-utils packages.

See Also



Plugin Details

Severity: High

ID: 20270

File Name: redhat-RHSA-2005-850.nasl

Version: $Revision: 1.18 $

Type: local

Agent: unix

Published: 2005/12/07

Modified: 2016/12/28

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:imap, p-cpe:/a:redhat:enterprise_linux:imap-devel, p-cpe:/a:redhat:enterprise_linux:imap-utils, cpe:/o:redhat:enterprise_linux:2.1, cpe:/o:redhat:enterprise_linux:3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2005/12/06

Vulnerability Publication Date: 2005/10/04

Reference Information

CVE: CVE-2005-2933

BID: 15009

OSVDB: 19856

RHSA: 2005:850